%global momorel 4

Name:           perl-Task-Catalyst
Version:        1.90
Release: %{momorel}m%{?dist}
Summary:        All you need to start with Catalyst
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Task-Catalyst/
Source0:        http://www.cpan.org/authors/id/S/SR/SRI/Task-Catalyst-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
#BuildRequires:  perl-Catalyst-Runtime >= 5.65
BuildRequires:  perl-Catalyst-Runtime
#Requires:       perl-Catalyst-Runtime >= 5.65
Requires:       perl-Catalyst-Runtime
BuildRequires:  perl-Catalyst-Log-Log4perl
BuildRequires:  perl-Catalyst-Model-DBIC-Schema
BuildRequires:  perl-Catalyst-Plugin-Authentication-Store-DBIC
BuildRequires:  perl-Catalyst-Plugin-Authentication-Store-Htpasswd
BuildRequires:  perl-Catalyst-Plugin-Authorization-ACL
BuildRequires:  perl-Catalyst-Plugin-Authorization-Roles
BuildRequires:  perl-Catalyst-Plugin-DefaultEnd
BuildRequires:  perl-Catalyst-Plugin-HTML-Widget
BuildRequires:  perl-Catalyst-Plugin-I18N
BuildRequires:  perl-Catalyst-Plugin-Pluggable
BuildRequires:  perl-Catalyst-Plugin-Prototype
BuildRequires:  perl-Catalyst-Plugin-Session
BuildRequires:  perl-Catalyst-Plugin-Session-State-Cookie
BuildRequires:  perl-Catalyst-Plugin-Session-State-URI
BuildRequires:  perl-Catalyst-Plugin-Session-Store-File
BuildRequires:  perl-Catalyst-Plugin-Singleton
BuildRequires:  perl-Catalyst-Plugin-StackTrace
BuildRequires:  perl-Catalyst-Plugin-SubRequest
BuildRequires:  perl-Catalyst-Plugin-XMLRPC
BuildRequires:  perl-Catalyst-View-TT

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Installs everything you need to write serious Catalyst applications.

%prep
%setup -q -n Task-Catalyst-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Task/*
%{_mandir}/man3/*

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.90-4m)
- use vendor

* Thu Jan  4 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.90-3m)
- add BuildRequires:  perl-Catalyst-Plugin-Authentication-Store-Htpasswd

* Mon Oct 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.90-2m)
- add BuildRequires:  perl-Catalyst-Plugin-Authorization-Roles
- add BuildRequires:  perl-Catalyst-Model-DBIC-Schema
- add BuildRequires:  perl-Catalyst-Plugin-I18N
- add BuildRequires:  perl-Catalyst-Plugin-Authentication-Store-DBIC
- add BuildRequires:  perl-Catalyst-Runtime
- add Requires:  perl-Catalyst-Runtime

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.90-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
